<?php
/**
 * Name:  Portfolio Masonry
 **/
?>
<?php
$column = ocolus_get_option( 'portfolio_column', '3' );
ocolus_portfolio_block_filter();
?>
<?php if ( have_posts() ): ?>
    <div class="portfolio-content response-content ocolus-isotope"
         data-cols="<?php echo esc_attr( $column ); ?>" data-layout="packery">
		<?php while ( have_posts() ): the_post(); ?>
            <?php
            $meta_post = get_post_meta( get_the_ID(), '_custom_portfolio_side_options', true );
            $class     = 'small';
            if ( isset( $meta_post['post_size_masonry'] ) ) {
                $class = $meta_post['post_size_masonry'];
            }
            ?>
            <article <?php post_class( 'portfolio-item isotope-item style-01 ' . $class ); ?>>
				<?php get_template_part( 'templates/portfolio/portfolio-style/content', 'style-01' ); ?>
            </article>
		<?php endwhile;
		wp_reset_postdata(); ?>
    </div>
	<?php ocolus_post_pagination(); ?>
<?php else :
	get_template_part( 'content', 'none' );
endif;
